import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
// ui以及主题样式
import Element from "element-ui";
import "./assets/css/globelcolor.scss";
import "./assets/css/reset.scss";
// 请求方法
import { getTokens } from "@/api/api.js";
import { seveToken } from "@/utils/getToken.js";
getTokens().then(res => {
    seveToken(res.data.data.token)
})
Vue.use(Element);
Vue.config.productionTip = false;
new Vue({
    router,
    store,
    render: h => h(App)
}).$mount("#app");